%define momorel 2

Summary: Bochs Project x86 PC Emulator
Name: bochs
Version: 2.1.1
Release: %{momorel}m
License: LGPL
Group: Applications/Emulators
URL:http://bochs.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/sourceforge/bochs/bochs-%{version}.tar.gz
NoSource: 0
Source1: http://bochs.sourceforge.net/guestos/dlxlinux4.tar.gz
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: bochs-config-sample.diff
Patch1: bochs-2.0-Makefile.in.patch
#Patch2: bochs-2.0.2-gcc33.patch
BuildPreReq: XFree86-devel, SDL-devel
BuildPreReq: docbook-utils, docbook-dtds >= 1.0-11m

%description
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build

cp %{SOURCE1} .
libtoolize -c -f
aclocal
autoconf
%configure \
	--with-x11 \
	--enable-new-pit \
	--enable-plugins \
	--enable-processors=1 \
	--enable-cpu-level=6 \
	--enable-apic \
	--enable-ne2000 \
	--enable-pci \
	--enable-usb \
	--enable-repeat-speedups \
	--enable-icache \
%ifarch %{ix86}
	--enable-fast-function-calls \
%endif
	--enable-all-optimizations \
	--enable-readline \
	--enable-vbe \
	--enable-fpu \
	--enable-mmx \
	--enable-3dnow \
	--enable-sse=2 \
	--enable-daz \
	--enable-sep \
	--enable-cdrom \
	--enable-sb16=linux \
	--enable-gameport \
	--enable-docbook \
	--with-all-libs

%make
make unpack_dlx

%install
rm -rf %{buildroot}
for i in %{_bindir} %{_mandir}/man1 %{_mandir}/man5 ; do 
  if ! test -d %{buildroot}/$i; then %{__mkdir_p} %{buildroot}/$i; fi
done
make install install_dlx DESTDIR=%{buildroot}
## for sample configuration
%{__install} -d -m 755 %{buildroot}%{_datadir}/config-sample/bochs/
%{__install} -m 644 .bochsrc %{buildroot}%{_datadir}/config-sample/bochs/dot.bochsrc

# remove
rm -rf %{buildroot}%{_docdir}/bochs

%preun
# clean up the bochsout.txt that is always produced if you 
# run bochs-dlx.
%{__rm} -f %{_datadir}/bochs/dlxlinux/bochsout.txt


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/bochs
%{_bindir}/bochs-dlx
%{_bindir}/bximage
%{_bindir}/bxcommit
%{_datadir}/bochs
%{_libdir}/bochs
%{_mandir}/man?/*
%{_datadir}/config-sample/bochs
%doc CHANGES COPYING README* TESTFORM.txt
%doc doc/docbook/[a-z]*
%doc docs-html

%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.1-2m)
- revised spec for enabling rpm 4.2.

* Thu Feb 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.1-1m)

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1-1m)
- New disassembler                       
- 3DNow!/SSE/SSE2/PNI instruction support                
- Vmware3/Sparse/Undoable/Growing harddisk images support               
- many VGA emulation improvements (e.g. high/true color VBE modes added)
- No more X11 vga font required

* Sat Jul 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.2-4m)
- add bochs-2.0.2-gcc33.patch

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.2-3m)
  rebuild against DirectFB 0.9.18

* Tue Feb 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-2m)
- add BuildPreReq: docbook-dtds >= 1.0-11m for /etc/sgml/sgml-docbook-4.1.cat, etc.

* Tue Feb  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-1m)

* Sat Jan 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-1m)

* Fri Dec 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0-1m)

* Tue Nov 26 2002 zunda <zunda@freeshell.org>
- kossori
- BuildPreReq: XFree86-devel

* Sun Jul 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4.1-1m)
- first release for momonga
